require_relative 'lib/od/payments/version'

Gem::Specification.new do |spec|
  spec.name          = 'od-payments'
  spec.version       = Od::Payments::VERSION
  spec.author        = 'Onward Web Development'
  spec.email         = ['hello@onwarddev.com']

  spec.summary       = 'od Payment'
  spec.description   = 'Adapter to apply multiple payment methods to rails.'
  spec.homepage      = 'https://github.com/onwarddev/od-payments'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/onwarddev/od-payments'
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_development_dependency 'generator_spec'
  spec.add_development_dependency 'rspec', '~> 4.0.1'
  # spec.add_dependency 'square.rb', '~> 6.1.0'
  spec.add_dependency 'square.rb', '~> 6.3.0.20200826'
  spec.add_dependency 'stripe', '~> 5.22.0'
  spec.add_development_dependency 'faker'
end
